<?php

namespace App\Http\Controllers\Api;


use App\Jobs\ProcessDataJob;
use App\Jobs\SendDataJob;
use Illuminate\Http\Request;


class JobController extends BaseController
{
    public function processDataJobAdd(Request $request)
    {
       dispatch(new ProcessDataJob($request->all()))->onQueue('cloud_device');
    }

    public function processDataJobAdd2(Request $request){
        dispatch(new SendDataJob($request->all()))->onQueue('cloud_device');
    }
}
